### Name: torus
### Title: Torus algorithm
### Aliases: torus setTorusSeed congrurand
### Keywords: distribution

### ** Examples

torus(100)

# example of setting the seed
setTorusSeed(1)
torus(5)
setTorusSeed(6)
torus(5)
#the same
setTorusSeed(1)
torus(10)

#no use of the machine time
torus(10, use=FALSE)

#tests
u <- torus(1000)
#Kolmogorov Smirnov stat should be 0.0019
ks.test(u, punif) 
        
u <- torus(10000)
#Kolmogorov Smirnov stat should be 0.0003
ks.test(u, punif) 

# Park Miller sequence, i.e. mod = 2^31-1, mult = 16807, incr=0
# the first 10 seeds used in Park Miller sequence
# 16807          1
# 282475249          2
# 1622650073          3
# 984943658          4
# 1144108930          5
# 470211272          6
# 101027544          7
# 1457850878          8
# 1458777923          9
# 2007237709         10
setTorusSeed(1)
congrurand(10, echo=TRUE)

# the 9998+ th terms 
# 925166085       9998
# 1484786315       9999
# 1043618065      10000
# 1589873406      10001
# 2010798668      10002
setTorusSeed(1614852353) #seed for the 9997th term
congrurand(5, echo=TRUE)

        



